UNIQ(1)

BEZEICHNUNG
uniq - doppelte Zeilen berichten oder entfernen

ÜBERSICHT
uniq [OPTION]... [EINGABE [AUSGABE]]

BESCHREIBUNG

Benachbarte identische Zeilen aus EINGABE (oder der Standardeingabe) filtern, das Ergebnis in AUSGABE (oder die Standardausgabe) schreiben.

Ohne Optionen wird die erste von mehreren identischen Zeilen beibehalten.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-c, --count
    Den Zeilen die Häufigkeit des Vorkommens voranstellen

-d, --repeated
    Nur mehrfach auftretende Zeilen ausgeben

-D, --all-repeated[=Abgrenzungsmethode]
    Alle mehrfachen Zeilen ausgeben Abgrenzungsmethode={none(Standard),prepend,separate} Die Abgrenzung erfolgt mit Leerzeilen.

-f, --skip-fields=N
    Die ersten N Felder nicht vergleichen

-i, --ignore-case
    Beim Vergleichen nicht auf Groß- und Kleinschreibung achten

-s, --skip-chars=N
    Die ersten N Zeichen nicht vergleichen

-u, --unique
    Nur einmal auftretende Zeilen ausgeben

-z, --zero-terminated
    Zeilen mit Nullbyte beenden, nicht mit Zeilenumbruch

-w, --check-chars=N
    Nicht mehr als N Zeichen pro Zeile vergleichen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Ein Feld ist eine Folge von Freiraum (gewöhnlich Leerzeichen oder Tabulatoren) gefolgt von anderen Zeichen. Felder werden vor Zeichen übersprungen.

Bemerkung: »Uniq« kann wiederholte Zeilen nicht erkennen, wenn sie nicht benachbart sind. Sie können die Eingabe vorher sortieren oder auch anstelle von »Uniq« gleich »sort -u« verwenden. Die Vergleiche folgen dabei den durch »LC_COLLATE« gegebenen Regeln.

AUTOR
Geschrieben von Richard M. Stallman und David MacKenzie.

FEHLER BERICHTEN
Berichten Sie Fehler in uniq (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von uniq an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
comm(1), join(1), sort(1)

Die vollständige Dokumentation für uniq wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und uniq auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'uniq invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.